Mailinglist Archive: opensuse-bugs (6470 mails)

< Previous Next >
[Bug 1138182] Serious install errors
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 01 Jul 2019 07:00:13 +0000
  • Message-id: <bug-1138182-21960-y5VjEpaf8c@http.bugzilla.suse.com/>
http://bugzilla.suse.com/show_bug.cgi?id=1138182
http://bugzilla.suse.com/show_bug.cgi?id=1138182#c1

Dominique Leuenberger <dimstar@xxxxxxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
CC| |dimstar@xxxxxxxxxxxx
Component|Basesystem |Other
Assignee|dleuenberger@xxxxxxxx |mlin@xxxxxxxx

--- Comment #1 from Dominique Leuenberger <dimstar@xxxxxxxxxxxx> ---
These are two errors, i.e. two bugs:

(In reply to Dr. Werner Fink from comment #0)
From zypp/history today

# 2019-06-13 05:11:19 libqt5-qtwebengine-5.9.7-lp151.1.42.x86_64.rpm
installed ok
# Additional rpm output:
# /sbin/ldconfig: relative path `1' used to build cache
# warning: %postun(libqt5-qtwebengine-5.10.1-lp150.2.1.x86_64) scriptlet
failed, exit status 1
#

Bug0: While upgrading from Leap 15.0 to to 15.1, libqt5-qtwebengine is being
downgraded from 5.10.1 to 5.9.7


Bug1:
This is an error in a spec file (in Leap 15.0 Update channel), namely:

%postun -p /sbin/ldconfig

%if 0%{?suse_version} >= 1500
# Convert Hunspell dictionaries on package installation
%filetriggerin -- %{_datadir}/hunspell
…


As soon as there is any text between the scriptlets header and a new
section/scriptlet (filetrigering in this case), that text is copied into a
temporary file and given as command line parameter for execution to the
interpreter (in this case /sbin/ldconfig - which does not understand such
parameters)


=> Assigning to the Qt maintainer

# 2019-06-13 04:13:17 libgtk-2_0-0-32bit-2.24.32-lp151.3.4.x86_64.rpm
installed ok
# Additional rpm output:
# /var/tmp/rpm-tmp.7JOvti: line 2: 27459 Segmentation fault (core
dumped) /usr/bin/gtk-query-immodules-2.0 --update-cache
# warning: %post(libgtk-2_0-0-32bit-2.24.32-lp151.3.4.x86_64) scriptlet
failed, exit status 139
#

Bug2:
/usr/bin/gtk-query-immodules-2.0 crashed. This is not entirely unknown and
mostly 'cosmetic': the immodules cache generation happens many more times
afterwards. Getting the install order of all depending packages right is close
to impossible. So as long as the final cache is ok, this is treated as
cosmetics ->WORKSFORME

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >